## ddpcRquant Shiny Application: global ##

#Global variables

library(shiny)
library(modeest)
library(dpcR)
library(evd)
library(lme4)
library(shinyjs)

#reset button
jsResetCode <- "shinyjs.reset = function() {history.go(0)}" # Define the js method that resets the page

#Demo Dataset
ddpcrfiles_demo1 <- list.files(path="./shiny_data/", pattern="*.csv")

#initializing variables
report_thresh <- c()
report_sample <- c()
tmp_rep <- c()
set.seed(1553)
#tmp_ntc <- regexpr("Amplitude.csv", amplitudefiles)
#tmp_sample <- regexpr("Amplitude.csv", amplitudefiles)


#headfile <- ddpcrfiles_demo1[-grep("Amplitude", ddpcrfiles_demo1)]
#amplitudefiles <- list.files(path="./shiny_data/", pattern="*Amplitude.csv")
#
#head_demo <- read.csv(file=paste("./shiny_data/",headfile, sep=""), 
#                     header=TRUE)

#head_filtered <- head_demo[,c("Well","Sample","TypeAssay","Assay")]
#assays <- unique(head_filtered$Assay)

#make sublist for the different assays
#list_assays=list()
#for(i in 1:length(assays)){
#  name <- as.character(assays[i])
#  list_assays[[name]] <- head_filtered[head_filtered$Assay==assays[i],]
#}


#ntc ids per assay
#ntc=list()
#ntc_id=list()
#for(j in 1:length(list_assays)){
#  list_assays_tmp <- list_assays[[j]]
#  name <- as.character(assays[j])
#  ntc[[name]] <- list_assays_tmp[grep("NTC",list_assays_tmp$Sample, 
#                                      ignore.case = TRUE),]
#  ntc_id[[name]] = ntc[[j]]$Well
#}

#sample=list()
#sample_id=list()
#for(j in 1:length(list_assays)){
#  list_assays_tmp <- list_assays[[j]]
#  name <- as.character(assays[j])
#  sample[[name]] <- list_assays_tmp[-grep("NTC",
#                                          list_assays_tmp$Sample, 
#                                          ignore.case = TRUE),]
#  sample_id[[name]] = sample[[j]]$Well
#}




#reps <- 10 #100 number of simulations
#split <- 150 #number of blocks
#cutoff.quantile = 0.9999
#reps = 5
#ci.conc.method = "wilson"
#ci.conc= 0.95
#vol.mix = 20
#vol.temp = 2

#global functions
#source(file="ddpcrquant_functions.R")
source(file="glmm_functions.R")

